﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication72.Models;

namespace WebApplication72.Controllers
{
    public class PersonController : Controller
    {
        // GET: Person
        public ActionResult Index()
        {
            return View();
        }


		//1. Przekazanie danych przez parametry
		public ActionResult Create()
		{
			return View();
		}

		[HttpPost]
		public ActionResult Create(string Name, string Surname, int Age, int Salary)
		{
			ViewBag.Message = Name + ", " + Surname + ", " + Age + ", " + Salary;

			return View();
		}


		//2. Przekazanie przez model (ModelBinder)
		public ActionResult Create2()
		{
			return View();
		}

		[HttpPost]
		public ActionResult Create2(Person model)
		{
			ViewBag.Message = model.Name + ", " + model.Surname + ", " 
				+ model.Age + ", " + model.Salary;

			return View();
		}


		//3. Przekazanie przez model (ModelBinder) z generowanego widoku
		public ActionResult Create3()
		{
			return View();
		}

		[HttpPost]
		public ActionResult Create3(Person model)
		{
			if (ModelState.IsValid)
			{
				ViewBag.Message = model.Name + ", " + model.Surname + ", "
					+ model.Age + ", " + model.Salary;
			}
			else
			{
				ViewBag.Message = "Błędne dane";
			}

			return View();
		}

	}
}